# Order Item Status Update Webhooks

## Order Items Shipped Webhook

> This is a dummy endpoint that demonstrates the webhook payload structure that will be sent\
> to webhook subscribers when an order\_items.shipped event occurs.\
> \
> The actual webhooks will be sent asynchronously to the URLs specified in the webhook subscriptions\
> that are subscribed to the order\_items.shipped event type.\
> \
> The webhook payload includes:\
> \- id: ID of the webhook message\
> \- event: The event type (order\_items.shipped)\
> \- timestamp: When the event occurred\
> \- subscription\_id: ID of the webhook subscription\
> \- message: The shipment data in the same format as the GET /shipments/{id} endpoint

```json
{"openapi":"3.1.0","info":{"title":"Sellers Center API","version":"1.0.0"},"security":[{"APIKeyAuth":[]}],"components":{"securitySchemes":{"APIKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"ShipmentItemsShippedWebhookSchema":{"properties":{"id":{"description":"ID of the webhook message","minimum":1,"title":"Id","type":"integer"},"event":{"const":"order_items.shipped","description":"Event type of webhook message","title":"Event","type":"string"},"timestamp":{"description":"UTC timestamp when the event was created","format":"date-time","title":"Timestamp","type":"string"},"message":{"$ref":"#/components/schemas/GetShipmentSchema","description":"Shipment payload of the triggered event"},"subscription_id":{"anyOf":[{"description":"ID (integer) of this property","minimum":1,"type":"integer"},{"type":"null"}],"description":"ID of the subscription","title":"Subscription Id"}},"required":["id","event","message"],"title":"ShipmentItemsShippedWebhookSchema","type":"object"},"GetShipmentSchema":{"properties":{"items":{"description":"List of order items in this shipment","items":{"$ref":"#/components/schemas/OrderItemSchema"},"title":"Shipment items","type":"array"},"carrier_key":{"description":"Carrier key of the shipment","title":"Carrier key","type":"string"},"return_tracking_key":{"anyOf":[{"maxLength":255,"type":"string"},{"type":"null"}],"title":"Return Tracking Key"},"tracking_key":{"anyOf":[{"maxLength":255,"type":"string"},{"type":"null"}],"title":"Tracking Key"}},"required":["items","carrier_key"],"title":"GetShipmentSchema","type":"object"},"OrderItemSchema":{"properties":{"return_tracking_key":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Return Tracking Key"},"shipment_tracking_key":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Shipment Tracking Key"},"sku":{"description":"SKU of the product variant","title":"SKU","type":"string"},"status":{"$ref":"#/components/schemas/orders_app__models__order_item__OrderItem__StatusChoices"},"id":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"ID"},"vat":{"default":19,"description":"The tax percentage","title":"Vat","type":"number"},"price_without_tax":{"description":"Price of the product excluding tax in the smallest currency unit (e.g. cents for Euro)","title":"Price Without Tax","type":"integer"},"price_with_tax":{"description":"Price of the product including tax in the smallest currency unit (e.g. cents for Euro)","title":"Price With Tax","type":"integer"},"custom_data":{"anyOf":[{"type":"object"},{"type":"null"}],"description":"Custom data for the order item","title":"Custom Data"}},"required":["return_tracking_key","shipment_tracking_key","sku","status","price_without_tax","price_with_tax"],"title":"OrderItemSchema","type":"object"},"orders_app__models__order_item__OrderItem__StatusChoices":{"enum":["open","shipped","cancelled","returned"],"title":"StatusChoices","type":"string"}}},"paths":{"/api/v1/webhooks/order-items-shipped":{"post":{"operationId":"scapi_app_endpoints_webhook_api_order_items_shipped_webhook","summary":"Order Items Shipped Webhook","parameters":[],"responses":{"200":{"description":"OK"}},"description":"This is a dummy endpoint that demonstrates the webhook payload structure that will be sent\nto webhook subscribers when an order_items.shipped event occurs.\n\nThe actual webhooks will be sent asynchronously to the URLs specified in the webhook subscriptions\nthat are subscribed to the order_items.shipped event type.\n\nThe webhook payload includes:\n- id: ID of the webhook message\n- event: The event type (order_items.shipped)\n- timestamp: When the event occurred\n- subscription_id: ID of the webhook subscription\n- message: The shipment data in the same format as the GET /shipments/{id} endpoint","tags":["Webhook Messages"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ShipmentItemsShippedWebhookSchema"}}},"required":true}}}}}
```

## Order Items Cancelled Webhook

> This is a dummy endpoint that demonstrates the webhook payload structure that will be sent\
> to webhook subscribers when an order\_items.cancelled event occurs.\
> \
> The actual webhooks will be sent asynchronously to the URLs specified in the webhook subscriptions\
> that are subscribed to the order\_items.cancelled event type.\
> \
> The webhook payload includes:\
> \- id: ID of the webhook message\
> \- event: The event type (order\_items.cancelled)\
> \- timestamp: When the event occurred\
> \- subscription\_id: ID of the webhook subscription\
> \- message: The shipment data in the same format as the GET /shipments/{id} endpoint

```json
{"openapi":"3.1.0","info":{"title":"Sellers Center API","version":"1.0.0"},"security":[{"APIKeyAuth":[]}],"components":{"securitySchemes":{"APIKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"ShipmentItemsCancelledWebhookSchema":{"properties":{"id":{"description":"ID of the webhook message","minimum":1,"title":"Id","type":"integer"},"event":{"const":"order_items.cancelled","description":"Event type of webhook message","title":"Event","type":"string"},"timestamp":{"description":"UTC timestamp when the event was created","format":"date-time","title":"Timestamp","type":"string"},"message":{"$ref":"#/components/schemas/GetShipmentSchema","description":"Shipment payload of the triggered event"},"subscription_id":{"anyOf":[{"description":"ID (integer) of this property","minimum":1,"type":"integer"},{"type":"null"}],"description":"ID of the subscription","title":"Subscription Id"}},"required":["id","event","message"],"title":"ShipmentItemsCancelledWebhookSchema","type":"object"},"GetShipmentSchema":{"properties":{"items":{"description":"List of order items in this shipment","items":{"$ref":"#/components/schemas/OrderItemSchema"},"title":"Shipment items","type":"array"},"carrier_key":{"description":"Carrier key of the shipment","title":"Carrier key","type":"string"},"return_tracking_key":{"anyOf":[{"maxLength":255,"type":"string"},{"type":"null"}],"title":"Return Tracking Key"},"tracking_key":{"anyOf":[{"maxLength":255,"type":"string"},{"type":"null"}],"title":"Tracking Key"}},"required":["items","carrier_key"],"title":"GetShipmentSchema","type":"object"},"OrderItemSchema":{"properties":{"return_tracking_key":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Return Tracking Key"},"shipment_tracking_key":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Shipment Tracking Key"},"sku":{"description":"SKU of the product variant","title":"SKU","type":"string"},"status":{"$ref":"#/components/schemas/orders_app__models__order_item__OrderItem__StatusChoices"},"id":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"ID"},"vat":{"default":19,"description":"The tax percentage","title":"Vat","type":"number"},"price_without_tax":{"description":"Price of the product excluding tax in the smallest currency unit (e.g. cents for Euro)","title":"Price Without Tax","type":"integer"},"price_with_tax":{"description":"Price of the product including tax in the smallest currency unit (e.g. cents for Euro)","title":"Price With Tax","type":"integer"},"custom_data":{"anyOf":[{"type":"object"},{"type":"null"}],"description":"Custom data for the order item","title":"Custom Data"}},"required":["return_tracking_key","shipment_tracking_key","sku","status","price_without_tax","price_with_tax"],"title":"OrderItemSchema","type":"object"},"orders_app__models__order_item__OrderItem__StatusChoices":{"enum":["open","shipped","cancelled","returned"],"title":"StatusChoices","type":"string"}}},"paths":{"/api/v1/webhooks/order-items-cancelled":{"post":{"operationId":"scapi_app_endpoints_webhook_api_order_items_cancelled_webhook","summary":"Order Items Cancelled Webhook","parameters":[],"responses":{"200":{"description":"OK"}},"description":"This is a dummy endpoint that demonstrates the webhook payload structure that will be sent\nto webhook subscribers when an order_items.cancelled event occurs.\n\nThe actual webhooks will be sent asynchronously to the URLs specified in the webhook subscriptions\nthat are subscribed to the order_items.cancelled event type.\n\nThe webhook payload includes:\n- id: ID of the webhook message\n- event: The event type (order_items.cancelled)\n- timestamp: When the event occurred\n- subscription_id: ID of the webhook subscription\n- message: The shipment data in the same format as the GET /shipments/{id} endpoint","tags":["Webhook Messages"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ShipmentItemsCancelledWebhookSchema"}}},"required":true}}}}}
```

## Order Items Returned Webhook

> This is a dummy endpoint that demonstrates the webhook payload structure that will be sent\
> to webhook subscribers when an order\_items.returned event occurs.\
> \
> The actual webhooks will be sent asynchronously to the URLs specified in the webhook subscriptions\
> that are subscribed to the order\_items.returned event type.\
> \
> The webhook payload includes:\
> \- id: ID of the webhook message\
> \- event: The event type (order\_items.returned)\
> \- timestamp: When the event occurred\
> \- subscription\_id: ID of the webhook subscription\
> \- message: The shipment data in the same format as the GET /shipments/{id} endpoint

```json
{"openapi":"3.1.0","info":{"title":"Sellers Center API","version":"1.0.0"},"security":[{"APIKeyAuth":[]}],"components":{"securitySchemes":{"APIKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"ShipmentItemsReturnedWebhookSchema":{"properties":{"id":{"description":"ID of the webhook message","minimum":1,"title":"Id","type":"integer"},"event":{"const":"order_items.returned","description":"Event type of webhook message","title":"Event","type":"string"},"timestamp":{"description":"UTC timestamp when the event was created","format":"date-time","title":"Timestamp","type":"string"},"message":{"$ref":"#/components/schemas/GetShipmentSchema","description":"Shipment payload of the triggered event"},"subscription_id":{"anyOf":[{"description":"ID (integer) of this property","minimum":1,"type":"integer"},{"type":"null"}],"description":"ID of the subscription","title":"Subscription Id"}},"required":["id","event","message"],"title":"ShipmentItemsReturnedWebhookSchema","type":"object"},"GetShipmentSchema":{"properties":{"items":{"description":"List of order items in this shipment","items":{"$ref":"#/components/schemas/OrderItemSchema"},"title":"Shipment items","type":"array"},"carrier_key":{"description":"Carrier key of the shipment","title":"Carrier key","type":"string"},"return_tracking_key":{"anyOf":[{"maxLength":255,"type":"string"},{"type":"null"}],"title":"Return Tracking Key"},"tracking_key":{"anyOf":[{"maxLength":255,"type":"string"},{"type":"null"}],"title":"Tracking Key"}},"required":["items","carrier_key"],"title":"GetShipmentSchema","type":"object"},"OrderItemSchema":{"properties":{"return_tracking_key":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Return Tracking Key"},"shipment_tracking_key":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Shipment Tracking Key"},"sku":{"description":"SKU of the product variant","title":"SKU","type":"string"},"status":{"$ref":"#/components/schemas/orders_app__models__order_item__OrderItem__StatusChoices"},"id":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"ID"},"vat":{"default":19,"description":"The tax percentage","title":"Vat","type":"number"},"price_without_tax":{"description":"Price of the product excluding tax in the smallest currency unit (e.g. cents for Euro)","title":"Price Without Tax","type":"integer"},"price_with_tax":{"description":"Price of the product including tax in the smallest currency unit (e.g. cents for Euro)","title":"Price With Tax","type":"integer"},"custom_data":{"anyOf":[{"type":"object"},{"type":"null"}],"description":"Custom data for the order item","title":"Custom Data"}},"required":["return_tracking_key","shipment_tracking_key","sku","status","price_without_tax","price_with_tax"],"title":"OrderItemSchema","type":"object"},"orders_app__models__order_item__OrderItem__StatusChoices":{"enum":["open","shipped","cancelled","returned"],"title":"StatusChoices","type":"string"}}},"paths":{"/api/v1/webhooks/order-items-returned":{"post":{"operationId":"scapi_app_endpoints_webhook_api_order_items_returned_webhook","summary":"Order Items Returned Webhook","parameters":[],"responses":{"200":{"description":"OK"}},"description":"This is a dummy endpoint that demonstrates the webhook payload structure that will be sent\nto webhook subscribers when an order_items.returned event occurs.\n\nThe actual webhooks will be sent asynchronously to the URLs specified in the webhook subscriptions\nthat are subscribed to the order_items.returned event type.\n\nThe webhook payload includes:\n- id: ID of the webhook message\n- event: The event type (order_items.returned)\n- timestamp: When the event occurred\n- subscription_id: ID of the webhook subscription\n- message: The shipment data in the same format as the GET /shipments/{id} endpoint","tags":["Webhook Messages"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ShipmentItemsReturnedWebhookSchema"}}},"required":true}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.partner.aboutyou.com/api/webhooks/order-item-status-update-webhooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
